<template>
  <div class="app-container">
    <div>
      <Titlename title="自查隐患管理新增"></Titlename>
      <div class="whole-form">
        <el-form
          :model="ruleForm"
          :rules="rules"
          ref="ruleForm"
          label-width="150px"
          class="demo-ruleForm"
          style="margin: 0 14% 0 16%"
        >
          <el-row>
            <el-col :span="9">
              <el-form-item label="检查时间" prop="name">
                <el-date-picker
                  v-model="value1"
                  type="date"
                  placeholder="选择日期"
                  style="width: 100%"
                >
                </el-date-picker>
              </el-form-item>
            </el-col>
            <el-col :span="9" :offset="4">
              <el-form-item label="班次" prop="name">
                <el-select v-model="ruleForm.elementAName" style="width: 100%">
                </el-select>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row>
            <el-col :span="9">
              <el-form-item label="检查人" prop="name">
                <el-input v-model="ruleForm.name"></el-input>
              </el-form-item>
            </el-col>
            <el-col :span="9" :offset="4">
              <el-form-item label="隐患单位">
                <el-input v-model="ruleForm.name"></el-input>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row>
            <el-col :span="9">
              <el-form-item label="隐患级别">
                <!-- <el-input v-model="ruleForm.name"></el-input> -->
                <el-select
                                    v-model="ruleForm.elementAName"
                                    style="width: 100%"
                                >
                                </el-select>
              </el-form-item>
            </el-col>
            <el-col :span="9" :offset="4">
              <el-form-item label="隐患类别" >
                <el-select v-model="ruleForm.elementAName" style="width: 100%">
                </el-select>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row>
            <el-col :span="9">
              <el-form-item label="限改时间">
                <!--<el-input v-model="ruleForm.name"></el-input>-->
                <el-date-picker
                  v-model="value1"
                  type="date"
                  placeholder="选择日期"
                  style="width: 100%"
                >
                </el-date-picker>
              </el-form-item>
            </el-col>
            <el-col :span="9" :offset="4">
              <el-form-item label="责任人">
                <el-input v-model="ruleForm.name"></el-input>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row>
            <el-col :span="9">
              <el-form-item label="整改情况">
                <!-- <el-input v-model="ruleForm.name"></el-input> -->
                <el-select v-model="ruleForm.elementAName" style="width: 100%">
                </el-select>
              </el-form-item>
            </el-col>
            <!-- <el-col :span="9" :offset="4">
              <el-form-item label="业务科室：" prop="name">
                <el-select v-model="ruleForm.elementAName" style="width: 100%">
                </el-select>
              </el-form-item>
            </el-col> -->
          </el-row>
          <!-- <el-row>
            <el-col :span="22">
              <el-form-item label="行走路线：" prop="name">
                <el-input v-model="ruleForm.name" class="multiline"></el-input>
              </el-form-item>
            </el-col>
          </el-row> -->
          <el-row>
            <el-col :span="22">
              <el-form-item label="隐患地点" >
                <el-input v-model="ruleForm.name" rows="3" type="textarea" class="multiline"></el-input>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row>
            <el-col :span="22">
              <el-form-item label="隐患内容" >
                <el-input v-model="ruleForm.name" rows="3" type="textarea" class="multiline"></el-input>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row>
            <el-col :span="22">
              <el-form-item label="整改措施">
                <el-input v-model="ruleForm.name" rows="3" type="textarea" class="multiline"></el-input>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row>
            <el-col :span="22">
              <el-form-item label="关联危险源" >
                <el-input v-model="ruleForm.name" rows="3" type="textarea" class="multiline"></el-input>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row>
            <el-col :span="22">
              <el-form-item style="text-align: center">
                <el-button type="primary" class="btns" @click="submitForm('ruleForm')"
                  >保存</el-button
                >
                <el-button @click="close()">关闭</el-button>
              </el-form-item>
            </el-col>
          </el-row>
        </el-form>
      </div>
    </div>
  </div>
</template>

<script>
import Titlename from "../../components/Titlename/index.vue";

export default {
  components: { Titlename },
  name: "hiddenDangerList",
  data() {
    return {
      ruleForm: {
        name: "",
        region: "",
        date1: "",
        date2: "",
        delivery: false,
        type: [],
        resource: "",
        value1: "",
        desc: "",
      },
       rules: {
          name: [
            { required: true, message: '请输入活动名称', trigger: 'blur' },
          ],
          },
      tableData: [
        {
          date: " 1",
          name: "超级管理员",
          province: "2022-04-07 16:10:27",
          city: "",
          address: "已发送众泰煤焦化安全环保部",
        },
        {
          date: " 1",
          name: "超级管理员",
          province: "2022-04-07 16:10:27",
          city: "",
          address: "已发送众泰煤焦化安全环保部",
        },
        {
          date: " 1",
          name: "超级管理员",
          province: "2022-04-07 16:10:27",
          city: "",
          address: "已发送众泰煤焦化安全环保部",
        },
      ],
    };
  },
  methods: {
    submitForm(formName) {
      this.$refs[formName].validate((valid) => {
        if (valid) {
          alert("submit!");
        } else {
          console.log("error submit!!");
          return false;
        }
      });
    },
  },
};
</script>

<style scoped>
.app-container {
  padding: 20px;
  height: 850px;
  overflow-y: auto;
}

.app-container /deep/ .box {
  padding-top: 0;
}

/* /deep/ .multiline .el-input__inner {
  height: 62px;
} */
 .btns{
        background-color: #034ea2;
        border: 1px solid #034ea2;
    }
</style>